# Das Handbuch zu &amarok;

Mike
Diehl

    madpenguin8@yahoo.com

Das &amarok; Entwickler-Team
Entwickler
Thomas
Reitelbach

    tr@erdfunkstelle.de

Deutsche Übersetzung
2005
Das &amarok; Entwickler-Team
&FDLNotice;
2005-01-02
2.1

&amarok; ist ein Multimedia-Player für KDE

KDE
Multimedia
Wiedergabe
Audio
ogg
mp3
wav
Musik
Klang

## Einführung

Logo

&amarok; ist der Multimedia-Player für &kde;. &amarok; ist sowohl leistungsstark, als auch einfach zu bedienen.

Suchen Sie ständig in endlosen Menüs, nur um Ihrer Wiedergabeliste ein paar Stücke hinzuzufügen? Mit &amarok; können Sie durch Ziehen und Ablegen einfach Musik in die Wiedergabeliste ziehen. Vielleicht suchen Sie auch nur einen ganz bestimmten Song aus tausenden in Ihrer Sammlung. &amarok;'s Sammlung-Browser mit der Suchfunktion wird Ihnen helfen, das Stück innerhalb von Sekunden zu finden.

Dem Anschein nach hat &amarok; die gleichen alten Funktionen wie ein durchschnittlicher Multimedia-Player. Doch an diesem Punkt wurd die Entwicklung längst nicht beendet. Ein Blick auf den Kontext-Browser zeigt Ihnen, warum &amarok; den anderen Playern einen Schritt voraus ist. Der Kontext-Browser enthält eine Datenbank, die ständig aktualisiert wird und Sie mit Statistiken und Informationen über Ihre Wiedergabeliste versorgt. Der Kontext-Browser kann auch vorhandene Cover-Bilder Ihrer Alben anzeigen, und ist damit nicht nur nützlich, sondern sieht auch gut aus.

Vielleicht haben Sie bereits einige unterschiedliche Wiedergabelisten, können sich aber nie entscheiden, welche Sie abspielen möchten. Dann ist der Wiedergabelisten-Browser das Richtige für Sie. Das Laden einer gespeicherten Wiedergabeliste ist so einfach wie ein simpler Tastendruck.

Neben aRts unterstützt &amarok; auch GStreamer, NMM und xine Sound-Server. Das macht &amarok; zum am weitesten fortgeschrittenen Multimedia-Player für &kde;. &amarok; ist intelligent, sexy und clever. Überzeugen Sie sich selbst, am besten noch heute!

&amarok-quick;

&amarok-config;

&amarok-using;

&amarok-advanced;

&amarok-faq;

## Danksagungen und Lizenz

Programm-Copyright © 2003-2005, Mark Kretschmann markey@web.de und das amaroK-Team.

### Das &amarok;-Team

- Christian babe-magnet Muehlhaeuser chris@chris.de

- Frederik ich bin kein Deustcher! Holljen fh@ez.no

- Mark it's good, but it's not irssi Kretschmann markey@web.de

- Max Turtle-Power Howell max.howell@methylblue.com

- Mike purple is not girly! Diehl madpenguin8@yahoo.com

- Pierpaolo Spaghetti Coder Di Panfilopippo_dp@libero.it

- Roman and God said, let there be Mac Becker roman@formmorf.de

- Seb Surfin' down under Ruiz me@sebruiz.net

- Stanislav did someone say DCOP? Karchebny Stanislav.Karchebny@kdemail.net

### Mitwirkende:

- Adam Pigg (Analyzer, Patches) adam@piggz.fsnet.co.uk

- Adeodato Simo (Patches) asp16@alu.ua.es

- Alexandre Oliveira (Verbesserungen, Fehlerbereinigungen) aleprj@gmail.com

- Andreas Mair (MySql-Unterstützung) am_ml@linogate.com

- Andrew de Quincey (Postgresql-Unterstützung) adq_dvb@lidskialf.net

- Dan Leinir Turthra Jensen (Einrichtungsassistent) admin@removeleinir.dk

- Enrico Ros (Analyzer, OpenGL-König) eros.kde@email.it

- Florian 'da-flow' Egerer (amaroK's Programmsymbol 'Blue Wolf) flo_for_never@gmx.at

- Gérard Dürrmeyer (icons and image work) gerard@randomtree.com

- Greg Meyer (Er war eine große Hilfe beim Beheben von Pre-1.2-Fehlern) greg@gkmweb.com

- Harald Sitter (handbook enhancements, translations, bug fixes, screenshots) harald.sitter@kdemail.net

- Ian Monroe (Patches, Ruby Skript-Vorlage (eean) )ian@monroe.nu

- Jarkko Lehti (Tester) grue@iki.fi

- Kenneth Wesley Wimer II (Symbole) kwwii@bootsplash.org

- Kenny Lemieux (amaroK Webmaster) swaft@pwsp.net

- Melchior Franz (neue FFT-Routine, bugfixes) mfranz@kde.org

- Michael Pyne (Kode für K3b-Export) michael.pyne@kdemail.net

- Nenad Grujicic (Startbildschirm für Version 1.1) mchitman@neobee.net

- Olivier Bédard (website hosting) paleo@pwsp.net

- Reigo Reinmets (Wikipedia-Unterstützung, Patches) xatax@hot.ee

- Roland Gigler (MAS-Treiber) michael.pyne@kdemail.net

- Sami Nieminen (Audioscrobbler-Unterstützung) sami.nieminen@iki.fi

- Scott Wheeler (TagLib) wheeler@kde.org

- Stefan Bogner (Loadsa-Zeugs) bochi@online.ms

- Stefan Siegel (Patches, Fehlerbereinigungen) kde@sdas.de

- Whitehawk Stormchaser (Tester, Patches) zerokode@gmx.net

Dokumentations-Copyright © 2005 Mike Diehl madpenguin8@yahoo.com

&underFDL; &underGPL;

&amarok-req;

## Installation

### Wie kann man &amarok; bekommen

&amarok; kann von der &amarok;-Homepage heruntergeladen werden.

Die neueste Entwicklerversion erhalten Sie aus dem &kde;-SN, Modul /trunk/extragear/multimedia/amarok/.

#### Wie man &amarok; kompiliert

Üblicherweise muss man im Basisordner der &amarok;-Distribution das folgende eingeben, um &amarok; zu kompilieren und installieren:

`./configure --prefix=`kde-config --prefix``

`make`

`su -c "make install"`

Die configure-Option "--enable-final" wird nicht mehr unterstützt.

Da &amarok; autoconf und automake verwendet, sollten Sie beim kompilieren keine Schwierigkeiten haben. Falls Sie doch auf Probleme stoßen, berichten Sie diese bitte in den &kde; Mailinglisten.

#### Optionen für Configure

&amarok; hat wie die meisten Anwendungen einige Optionen, die man zum Kompilierzeitpunkt mit dem configure-Skript aktivieren oder deaktivieren kann. Dies ist eine Liste der verfügbaren Optionen.

Für einige der Kompilieroptionen müssen bestimmte Abhängigkeiten erfüllt sein, damit sie benutzt werden können. Details dazu finden Sie im Abschnitt Systemvoraussetzungen.

Option | Voreinstellung | Beschreibung
--- | --- | ---
--enable-debug= | no | Aktiviert Debugging-Symbole. Sie haben die Wahl zwischen yes, no und full. Wenn Sie bei der Entwicklung von &amarok; helfen möchten, sollten Sie full benutzen.
--enable-mysql | Deaktiviert | Aktiviert die Unterstützung für MySql-Datenbanken in &amarok;.
--disable-amazon | Aktiviert | Deaktiviert das Herunterladen von Cover-Bildern von Amazon.
--without-arts | Mit aRts | Deaktiviert die Unterstützung für aRts in &amarok;.
--without-gstreamer | Mit aRts | Deaktiviert die Unterstützung für GStreamer in &amarok;.
--with-helix | Mit aRts | Enables Helix engine support for &amarok;
--without-xine | Mit aRts | Deaktiviert die Unterstützung für xine in &amarok;.
--with-nmm | Ohne | Aktiviert die Unterstützung für NMM in &amarok;.
--with-mas | Ohne | Aktiviert die Unterstützung für MAS in &amarok;.
--without-opengl | Mit aRts | Deaktiviert die Unterstützung für OpenGL (Visualisierungen) in &amarok;.
--without-included-sqlite | Mit aRts | Deaktiviert die Verwendung der mitgelieferten sqlite-Quellen (setzt voraus, dass sqlite installiert ist).

&documentation.index;